Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ch.uzh.ifi.attempto.ape
Enum OutputType

    java.lang.Object
      java.lang.Enum<OutputType>
          ch.uzh.ifi.attempto.ape.OutputType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OutputType>

    public enum OutputType

extends java.lang.Enum<OutputType>

This enumeration lists all the possible outputs of the ACE parser.

Author:
  Tobias Kuhn

Enum Constant Summary
`DRS` The discourse representation structure (DRS) as a Prolog term.
`DRSHTML` The DRS in pretty-printed form in HTML.
`DRSPP` The DRS in pretty-printed form in plain text.
`DRSXML` The DRS in XML.
`FOL` Standard first-order logic representation (default form) of the DRS as a Prolog term.
`OWLFSS` OWL 2 in the Functional-Style Syntax representation.
`OWLRDF` OWL 2 in the RDF/XML representation.
`OWLXML` Output OWL 2 in the XML representation.
`PARAPHRASE` A paraphrase which is a "best-effort" combination of PARAPHRASE1 and PARAPHRASE2.
`PARAPHRASE1` A paraphrase which uses full sentences instead of relative clauses.
`PARAPHRASE2` A paraphrase which uses relative clauses instead of full sentences.
`PNF` Standard first-order logic representation (prenex normal form) of the DRS as a Prolog term.
`SENTENCES` Sentences as a Prolog list.
`SYNTAX` Simplified syntax trees as a Prolog list.
`SYNTAXD` Plain syntax trees as a Prolog list (for debugging).
`SYNTAXDPP` Plain syntax trees in pretty-printed form (for debugging).
`SYNTAXPP` Simplified syntax trees in pretty-printed form.
`TOKENS` Tokens as a Prolog list of lists.

Method Summary
`java.lang.String` | `toMultiFlag()`
`java.lang.String` | `toSoloFlag()`
`static OutputType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OutputType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DRS

    public static final OutputType DRS

  The discourse representation structure (DRS) as a Prolog term.

### DRSXML

    public static final OutputType DRSXML

  The DRS in XML.

### DRSPP

    public static final OutputType DRSPP

  The DRS in pretty-printed form in plain text.

### DRSHTML

    public static final OutputType DRSHTML

  The DRS in pretty-printed form in HTML.

### PARAPHRASE

    public static final OutputType PARAPHRASE

  A paraphrase which is a "best-effort" combination of PARAPHRASE1 and PARAPHRASE2.

### PARAPHRASE1

    public static final OutputType PARAPHRASE1

  A paraphrase which uses full sentences instead of relative clauses.

### PARAPHRASE2

    public static final OutputType PARAPHRASE2

  A paraphrase which uses relative clauses instead of full sentences.

### TOKENS

    public static final OutputType TOKENS

  Tokens as a Prolog list of lists.

### SENTENCES

    public static final OutputType SENTENCES

  Sentences as a Prolog list.

### SYNTAX

    public static final OutputType SYNTAX

  Simplified syntax trees as a Prolog list.

### SYNTAXPP

    public static final OutputType SYNTAXPP

  Simplified syntax trees in pretty-printed form.

### SYNTAXD

    public static final OutputType SYNTAXD

  Plain syntax trees as a Prolog list (for debugging).

### SYNTAXDPP

    public static final OutputType SYNTAXDPP

  Plain syntax trees in pretty-printed form (for debugging).

### OWLFSS

    public static final OutputType OWLFSS

  OWL 2 in the Functional-Style Syntax representation.

### OWLRDF

    public static final OutputType OWLRDF

  OWL 2 in the RDF/XML representation.

### OWLXML

    public static final OutputType OWLXML

  Output OWL 2 in the XML representation.

### FOL

    public static final OutputType FOL

  Standard first-order logic representation (default form) of the DRS as a Prolog term.

### PNF

    public static final OutputType PNF

  Standard first-order logic representation (prenex normal form) of the DRS as a Prolog term.

Method Detail

### values

    public static final OutputType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OutputType c : OutputType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OutputType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toSoloFlag

    public java.lang.String toSoloFlag()

  Returns:
    flag used to pass the parameter to the parser in the solo-mode (e.g. "fol")

### toMultiFlag

    public java.lang.String toMultiFlag()

  Returns:
    flag used to pass the parameter to the parser in the multi-mode (e.g. "cfol")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)